We recommend installing the latest SDK to keep up with newer OS updates and provide the best Helpshift experience for your end users. However, we understand there may be some limitations for your team that require you use an older build.

We will continue to support a limited set of older SDK versions to provide you with time to transition to new build tools. Each SDK version offers compatibility for a specific version of build tools.

1. iOS SDK
2. Unity SDK
3. Other Plugins


Native iOS SDK

Support for Xcode 8 & 9

Helpshift’s native iOS SDK v6.4.0 and above will need to be implemented using Xcode 9. This is because all of the UI enhancements we are supporting for iPhone X are only available if Xcode 9 is used to build your app.

What can I do if I still need to use Xcode 8?
We understand that some teams may need time to make the transition to Xcode 9. For this reason, we have released native iOS SDK v6.3.1, which supports Xcode 8 and fixes the larger UI issues for iOS 11. We have also released plugin SDKs (Unity, Cocos2d-x, Xamarin) that contain v6.3.1, which you can find download links for at the bottom of this page.

For more details on which iOS versions we support and why, please read our article What Are The Minimum IOS Versions Supported By Helpshift?

Version & Download link Compatibility Details
Native iOS v6.3.1
Download Link
(Release Notes)
-Can be used with Xcode 8
-Supports iOS 8
-Includes iOS 11 UI fixes, but not iPhone X UI optimizations
Native iOS v6.4.0
Download Link
(Release Notes)
-Requires Xcode 9
-Supports iOS 8
-Includes UI optimizations for iPhone X

CocoaPods instructions for these builds are available here:

Native iOS v6.3.1:

  • pod ‘Helpshift’, ‘6.3.1’ # For normal version
  • pod ‘Helpshift’, ‘6.3.1-bitcode’ # For bitcode version

Native iOS v6.4.0:

  • pod ‘Helpshift’, ‘6.4.0’ # For normal version
  • pod ‘Helpshift’, ‘6.4.0-bitcode’ # For bitcode version

Unity SDK

Upcoming Helpshift Unity SDKs will be built on Unity 5.3.0
Helpshift’s Unity SDK v2.9.1 is our last Unity SDK built on Unity 4.7.0. Unity itself has stopped pushing updates for 4.x in 2016, and now that the ecosystem has moved to 5.x, we have decided to do so with our SDK.

Our v3.0.0 SDK is built using Unity 5.3.0, which means that your app will need to use Unity 5.3.0 or above in order to upgrade.

What can I do if I need to keep using Unity 4.x for my next update?
If you still use Unity 4.x, you will be safe to remain on v2.9.1, as long as you keep in mind that this build does not have UI optimizations for iPhone X. Helpshift core functionalities work as expected on iPhone X, and larger UI fixes for iOS 11 will be included.

For more information on iOS 8 and Xcode 8 support, please review our article What Are The Minimum IOS Versions Supported By Helpshift?

Version & Download link Compatibility Details
Unity v2.9.1
Download Links:
SDK-only dex” & “Unified dex
(Package InstructionsRelease Notes)
-Contains iOS v6.3.1/Android v6.4.0
-Supports Unity 4.7.0 and Xcode 8
-Supports iOS 8
-Includes iOS 11 UI fixes, but not iPhone X UI optimizations
Unity v3.0.0
Download Link
(Release Notes)
-Contains iOS/Android v6.4.0
-Requires Unity 5.3.0+ & Xcode 9
-Supports iOS 8
-Includes UI optimizations for iPhone X

Other Plugins

For more information on iOS 8 and Xcode 8 support, please review our article What Are The Minimum IOS Versions Supported By Helpshift?

Version & Download link Compatibility Details
Cocos2d-x v1.8.0
Download Link
(Release Notes for iOS/Android)
-Contains iOS v6.3.1/Android v6.4.0
-Supports Xcode 8
-Supports iOS 8
-Includes iOS 11 UI fixes, but not iPhone X UI optimizations
Cocos2d-x v1.9.0
Download Link
(Release Notes for iOS/Android)
-Contains iOS/Android v6.4.0
-Requires Xcode 9
-Supports iOS 8
-Includes UI optimizations for iPhone X
Xamarin v2.5.0
Download Link
(Release Notes)
-Contains iOS v6.3.1/Android v6.4.0
-Supports Xcode 8
-Supports iOS 8
-Includes iOS 11 UI fixes, but not iPhone X UI optimizations
Xamarin v2.6.0
(Releasing by Dec 14th)
-Contains iOS/Android v6.4.0
-Requires Xcode 9
-Supports iOS 8
-Includes UI optimizations for iPhone X